Enneo

Ticket

Get ticket activity

GET /ticket/{ticketId}/activity

GET /ticket/{ticketId}/activity

Get ticket activity by ticketId

Path parameters

ticketIdintegerpathrequired

The id of the ticket

Query parameters

showTechnicalInformationbooleanquery

If true, then the technical information will be shown

Responses

200 — Successful operation

Response Example

{
  "id": 1,
  "status": "open",
  "user": {
    "id": 1,
    "firstName": "Max",
    "lastName": "Mustermann",
    "email": "demo@enneo.dev",
    "phone": "+49 123 456789",
    "image": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNk+A8AAQUBAScY42YAAAAASUVORK5CYII=",
    "password": 123456,
    "lastSeen": "2022-08-12 12:21:21",
    "type": "enneo",
    "isSsoOnly": 0,
    "lang": "de",
    "nameAlias": "Johnny",
    "externalId": "EMP-12345"
  },
  "createdAt": "2021-01-01 00:00:00",
  "activity": "hat 2 Themen zugewiesen",
  "details": [
    {
      "label": "Thema zugewiesen",
      "value": "Allgemein",
      "tooltip": "Allgemein",
      "url": "https://enneo.ai",
      "type": "string"
    }
  ]
}

403 — Unauthorized

404 — Ticket not found

500 — Internal error